<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>
						    <h4 class="card-title">
						        <span jhiTranslate="sisteminformasiakademikApp.besarBayar.home.title">Besar Bayars</span>
						
						        <button id="jh-create-entity" class="btn btn-success float-right jh-create-entity create-besar-bayar" [routerLink]="['/besar-bayar/new']">
						            <i class="material-icons">add</i>
						            <span jhiTranslate="sisteminformasiakademikApp.besarBayar.home.createLabel">
						            Create a new Besar Bayar
						            </span>
						        </button>
						    </h4>
					</div>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <div class="alert alert-warning" id="no-result" *ngIf="besarBayars?.length === 0">
        <span jhiTranslate="sisteminformasiakademikApp.besarBayar.home.notFound">No besarBayars found</span>
    </div>
	
    <div class="card-body">
    
    <div class="toolbar">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-40 no-border">
                    <select class="form-control" id="field_kelas" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch">
			            <option [ngValue]="kelasOption.id === editForm.get('kelas')!.value?.id ? editForm.get('kelas')!.value : kelasOption.nama" *ngFor="let kelasOption of kelas;">{{ kelasOption.nama }}</option>
			        </select>
                    <button mat-raised-button class="btn btn-info btn-round btn-just-icon" (click)="search(currentSearch)">
                        <i class="material-icons">search</i>
                    </button>
                    <button mat-raised-button class="btn btn-danger btn-round btn-just-icon" (click)="clear()" *ngIf="currentSearch">
                      <i class="material-icons">delete</i>
                        <div class="ripple-container"></div>
                    </button>
                </div>
            </form>
            <br>
        </div>
    
    <div class="material-datatables table-responsive" id="entities" *ngIf="besarBayars && besarBayars.length > 0">
        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
            <thead  class="thead-light">
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
                    <!-- <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span></th> -->
                    <th scope="col"  jhiSortBy="kelas.id"><span jhiTranslate="sisteminformasiakademikApp.besarBayar.kelas">Kelas</span></th>
                    <th scope="col"  jhiSortBy="jenisBayar.id"><span jhiTranslate="sisteminformasiakademikApp.besarBayar.jenisBayar">Jenis Bayar</span></th>
                    <th scope="col"  jhiSortBy="nominal"><span jhiTranslate="sisteminformasiakademikApp.besarBayar.nominal">Nominal</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let besarBayar of besarBayars">
                    <!-- <td><a [routerLink]="['/besar-bayar', besarBayar.id, 'view']">{{ besarBayar.id }}</a></td> -->
                    <td>
                        <div *ngIf="besarBayar.kelas">
                            <a [routerLink]="['/kelas', besarBayar.kelas?.id, 'view']" >{{ besarBayar.kelas.nama }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="besarBayar.jenisBayar">
                            <a [routerLink]="['/jenis-pembayaran', besarBayar.jenisBayar?.id, 'view']" >{{ besarBayar.jenisBayar.jenis }}</a>
                        </div>
                    </td>
                    <td>{{ besarBayar.nominal | currency:'Rp. ' }}</td>
                    <!-- <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/besar-bayar', besarBayar.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/besar-bayar', besarBayar.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(besarBayar)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td> -->
                    <td class="td-actions text-right">
	                    <!-- <button mat-raised-button mat-min-fab type="submit"
                                    [routerLink]="['/besar-bayar', besarBayar.id, 'view']"
	                                class="btn btn-info btn-sm btn-just-icon btn-round">
	                           <i class="material-icons">visibility</i>
						         </button> -->
	                        <button mat-raised-button mat-min-fab type="submit"
                                    [routerLink]="['/besar-bayar', besarBayar.id, 'edit']"
	                                queryParamsHandling="merge"
	                                 class="btn btn-success btn-sm btn-just-icon btn-round">
	                              <i class="material-icons">edit</i>
						       </button>
	                         <button mat-raised-button mat-min-fab type="button" (click)="delete(besarBayar)"
	                               class="btn btn-danger btn-sm btn-just-icon btn-round">
	                   				<i class="material-icons">close</i>
							</button>
	                </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div>
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
</div>
</div>
</div>
</div>
</div>
